<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\KursUebersicht\Detailsreiter\KursDetails;


class KursDetailsUseCase extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\KursDetails\KursDetailsUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSUEBERSICHT_VA;
  }

  public static function getToolSectionId()
  {
    return 628;
  }

  public function hasAccess($pToolSectionId = null)
  {
    
    
    if (!parent::hasAccess()) {
      return false;
    }

    if (!$this->isRechtAllowed('632.1.1')) {
      return false;
    }

    return true;
  }

  
  protected function getDozentenUebersichtToolId(): ?int
  {
    return \ToolsAPI::TOOL_DOZENTENINFO_VA;
  }
}